<?
$DEFINITIONS = Zend_Registry::get('defines');
$ms = '';
$wk = '';

foreach ($DEFINITIONS['month_' . $this->lang()] as $m)
    $ms .= "'" . ucfirst($m) . "', ";

$ms = trim($ms, ", ");

foreach ($DEFINITIONS['week_' . $this->lang()] as $w)
    $wk .= "'" . ucfirst($w) . "', ";

$wk = trim($wk, ", ");
?>

<?
$seo = $this->seo('reviews-listing', 0);
$model = new Cubix_Geography_Countries();
$countries_list = $model->ajaxGetAllReviews(false);
?>

    <div class="content review-page">

    <div class="navigation-section">
        <div class="container">
            <nav class="breadcrumbs"></nav>
        </div>
    </div>

    <div class="navigation-section-search">
        <div class="intentions">
            <div class="intentions-container d-flex flex-row justify-content-between align-items-center inner-section desktop">
                <div class="d-flex flex-fill">
<!--                    <div class="d-flex dropdown-selection lookingFor">-->
<!--                        <div class="dropdown">-->
<!--                            <a class="dropdown-toggle" id="lookingFor" data-toggle="dropdown" aria-haspopup="true"-->
<!--                               aria-expanded="false">-->
<!--                                <span class="dropdown-toggle-val" data-val="1">--><?//= __('female_comm') ?><!--</span>-->
<!--                                <span class="caret"></span>-->
<!--                            </a>-->
<!--                            <ul class="dropdown-menu dropdown-custom" data-type="lookingFor" name="gender_combines">-->
<!--                                <li value="1"><a href="javascript:void(0)">--><?//= __('female_comm') ?><!--</a></li>-->
<!--                                <li value="2"><a href="javascript:void(0)">--><?//= __('men_comm') ?><!--</a></li>-->
<!--                                <li value="3"><a href="javascript:void(0)">--><?//= __('trans_comm') ?><!--</a></li>-->
<!--                            </ul>-->
<!--                        </div>-->
<!--                    </div>-->
                    <div class="autocomplete-container agencies-search-field" autocomplete="off">
                        <div class="autocomplete d-flex">
                            <input id="escort" type="text" name="escort" placeholder="<?= __('escort_name') ?>...">
                        </div>
                    </div>
                    <div class="autocomplete-container agencies-search-field" autocomplete="off">
                        <div class="autocomplete d-flex">
                            <input id="member" type="text" name="member" placeholder="<?= __('member_name') ?>...">
                        </div>
                    </div>
                    <div class="autocomplete-container d-flex flex-grow-1" autocomplete="off">

                        <!-- Countries -->
                        <? $primaryCountry = __('country') ?>
                        <div class="d-flex location-dropdown country-dropdown dropdown-selection ">
                            <div class="single-option w-100">
                                <div class="dropdown">
                                    <select class="single-option-select d-none" data-type="searchbar" name="country_id"
                                            id="reviews-search-country">
                                        <option value=""><?= __('country') ?></option>
                                        <? foreach ($countries_list as $country): ?>
                                            <? if( $this->country['id'] == $country->id ) $primaryCountry = $country->title ?>
                                            <option value="<?= $country->id ?>" <?= $this->country['id'] == $country->id ? 'selected' : '' ?> ><?= $country->title ?>
                                            </option>
                                        <? endforeach ?>
                                    </select>
                                    <a class="dropdown-toggle" data-toggle="dropdown"
                                       id="reviews-country-search-select" aria-haspopup="true"
                                       aria-expanded="false">
                                        <span class="dropdown-toggle-val uppercase">
                                            <?= $primaryCountry ?>
                                        </span>
                                        <span class="caret"></span>
                                    </a>
                                    <ul class="dropdown-menu dropdown-custom"
                                        data-type="reviews-country-search-select">
                                        <li data-val="0"><a
                                                    href="javascript:void(0)">All Countries</a>
                                        </li>
                                        <? foreach ($countries_list as $country): ?>
                                            <li data-val="<?= $country->id ?>"><a
                                                        href="javascript:void(0)"><?= $country->title ?></a>
                                            </li>
                                        <? endforeach ?>
                                    </ul>
                                </div>
                            </div>
                        </div>

                        <div class="d-flex ml-20 location-dropdown city-dropdown dropdown-selection">
                            <div class="single-option w-100">
                                <div class="dropdown">
                                    <select class="single-option-select d-none" name="city_id"
                                            id="reviews-search-city">
                                        <option value="<?= $this->city['id'] ?>" <?= !empty($this->city['id']) ? 'selected' : '' ?>><?= $this->city['title'] ?></option>
                                    </select>
                                    <a class="dropdown-toggle" id="reviews-city-search-select" data-toggle="dropdown"
                                       aria-haspopup="true"
                                       aria-expanded="false">
                                    <span class="dropdown-toggle-val uppercase">
                                    <?= !empty($this->city['title']) ? $this->city['title'] : __('city') ?></span>
                                        <span class="caret"></span>
                                    </a>
                                    <ul class="dropdown-menu dropdown-custom"
                                        data-type="reviews-city-search-select">
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>


                    <div class="button-container">
                        <div class="btn btn-brown uppercase ml-10 search-button-trigger"><?= __('search') ?></div>
                    </div>
                </div>
            </div>
            <div class="intentions-container-mobile d-flex flex-row justify-content-between align-items-center inner-section mobile">
                <div class="group-container">
                    <div class="dropdown-buttons-container">
                        <span class="lookingFor-mobile-place"><?= __('escort_reviews_in') ?></span>
                    </div>
                    <div id="myCountry-mobile-place" class="myCountry-mobile-place" autocomplete="off"><i><?= __('city_region_or_country') ?></i></div>
                </div>
                <a class="search-button d-flex align-items-center"><i class="fas fa-search"></i></a>
            </div>
        </div>
    </div>


    <div class="filters-mobile mobile searchbar" style="display: none;">
        <form>
            <div class="d-flex justify-content-between align-items-center">
                <i id="cancel-mobile" class="fas fa-arrow-left"></i>
            </div>
            <div class="clear mb-20"></div>
<!--                <div class="autocomplete-container flex-grow-1" autocomplete="off">-->
<!--                    <div class="autocomplete d-flex loc_id">-->
<!--                        <label>Location</label>-->
<!--                        <input id="countryInput-mobile" type="text" name="countryInput-mobile"-->
<!--                               placeholder="City, Region or Country" autocomplete="off">-->
<!--                        <a class="search-button d-flex align-items-center"><i class="fas fa-search"></i></a>-->
<!--                    </div>-->
<!--                </div>-->

            <div class="d-flex dropdown-selection justify-content-between align-items-center flex-fill">
                <label for="height_from-mob"><?= __('country') ?></label>
                <span class="multiselect-native-select" id="reviews-country-search-mobile">
                        <div class="btn-group selected dropdown" id="">
                            <button type="button" class="multiselect dropdown-toggle btn btn-default" data-toggle="dropdown">
                                <span class="multiselect-selected-text dropdown-toggle-val">
                                    <?= isset($this->country['title']) ? $this->country['title'] : __('nothing_selected') ?>
                                </span> <b class="caret"></b>
                            </button>
                            <ul class="multiselect-container dropdown-menu" data-type="reviews-country-search-mobile">
                                <li data-val="0" data-value="">
                                        <label class="radio" title="All Countries">
                                            <input type="radio" name="country_id" value=""> <a>All Countries</a>
                                        </label>
                                    </li>
                                <? foreach ($countries_list as $country): ?>
                                    <li data-val="<?= $country->id ?>" data-value="<?= $country->title ?>">
                                        <label class="radio" title="<?= $country->title ?>">
                                            <input type="radio" name="country_id" <?= $this->country['id'] == $country->id ? 'checked' : '' ?> value="<?= $country->id ?>"> <a><?= $country->title ?></a>
                                        </label>
                                    </li>
                                <? endforeach ?>
                            </ul>
                        </div>
                    </span>
            </div>

            <div class="d-flex dropdown-selection justify-content-between align-items-center flex-fill">
                <label for="height_from-mob">
                    <?= __('city') ?>
                </label>
                <span class="multiselect-native-select" id="reviews-city-search-mobile">
                        <div class="btn-group selected dropdown">
                            <button type="button" class="multiselect dropdown-toggle btn btn-default" data-toggle="dropdown">
                                <span class="multiselect-selected-text dropdown-toggle-val"><?= __('nothing_selected') ?></span> <b class="caret"></b>
                            </button>
                            <ul class="multiselect-container dropdown-menu"  data-type="reviews-city-search-mobile">
<!--                                 <li>-->
<!--                                    <label class="radio" title="All Cities">-->
<!--                                        <input type="radio" name="country_id" value="All Cities">-->
<!--                                    </label>-->
<!--                                </li>-->
                                <? if(isset($this->city['id'])): ?>
                                <li>
                                    <label class="radio" title="<?= $this->city['title'] ?>">
                                        <input type="radio" name="country_id" value="<?= $this->city['id'] ?>"> <a><?= $this->city['title'] ?></a>
                                    </label>
                                </li>
                                <? endif; ?>
                            </ul>
                        </div>
                    </span>
            </div>
            <div class="clear mb-20"></div>
<!--            <p class="uppercase active-dissapear">interested in?</p>-->
<!--            <div class="interestedIn-mobile d-flex flex-wrap active-dissapear">-->
<!--                <div data-value="1" class="btn-dropdown-rounded active">--><?//= __('female') ?><!--</div>-->
<!--                <div data-value="2" class="btn-dropdown-rounded">--><?//= __('male') ?><!--</div>-->
<!--                <div data-value="3" class="btn-dropdown-rounded">--><?//= __('trans') ?><!--</div>-->
<!--            </div>-->
            <div class="autocomplete d-flex">
                <input id="escortName" type="text" name="escortName" placeholder="Escort name...">
            </div>
            <div class="clear mb-40 active-dissapear"></div>
            <div class="autocomplete d-flex">
                <input id="memberName" type="text" name="memberName" placeholder="Member name...">
            </div>
            <div class="d-flex advanced-buttons">
                <div class="btn btn-brown search-mobile flex-grow-1"><?= __('search') ?></div>
            </div>
        </form>
    </div>
    <section id="reviews-list">
        <div id="list">
            <?= $this->render('reviews/list.phtml') ?>
        </div>
        <div id="binocular">

        </div>
    </section>

<?
if ($seo) {
    if (strlen($seo->title)) {
        $this->headTitle($seo->title, 'PREPEND');
    }

    if (strlen($seo->keywords)) {
        $this->headMeta()->appendName('keywords', $seo->keywords);
    }

    if (strlen($seo->description)) {
        $this->headMeta()->appendName('description', $seo->description);
    }
}
?>